Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.regex
Class PatternSyntaxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      java.util.regex.PatternSyntaxException

All Implemented Interfaces:
  Serializable

    public class PatternSyntaxException

extends IllegalArgumentException

Unchecked exception thrown to indicate a syntax error in a regular-expression pattern.

Since:
  1.4
See Also:
  Serialized Form

Constructor Summary
`PatternSyntaxException(String desc, String regex, int index)` Constructs a new instance of this class.

Method Summary
`String` | `getDescription()` Retrieves the description of the error.
`int` | `getIndex()` Retrieves the error index.
`String` | `getMessage()` Returns a multi-line string containing the description of the syntax error and its index, the erroneous regular-expression pattern, and a visual indication of the error index within the pattern.
`String` | `getPattern()` Retrieves the erroneous regular-expression pattern.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PatternSyntaxException

    public PatternSyntaxException(String desc,
                                  String regex,
                                  int index)

  Constructs a new instance of this class.

  Parameters:
    `desc` - A description of the error
    `regex` - The erroneous pattern
    `index` - The approximate index in the pattern of the error, or `-1` if the index is not known

Method Detail

### getIndex

    public int getIndex()

  Retrieves the error index.

  Returns:
    The approximate index in the pattern of the error, or `-1` if the index is not known

### getDescription

    public String getDescription()

  Retrieves the description of the error.

  Returns:
    The description of the error

### getPattern

    public String getPattern()

  Retrieves the erroneous regular-expression pattern.

  Returns:
    The erroneous pattern

### getMessage

    public String getMessage()

  Returns a multi-line string containing the description of the syntax error and its index, the erroneous regular-expression pattern, and a visual indication of the error index within the pattern.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    The full detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.